/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    keyValueFormat = require('../../../../lib/string/key_value_format.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};


exports['Key value format.'] = function (test) {
    test.equal(keyValueFormat('This is {{foo}}.', {foo: 'bar'}), 'This is bar.');
    test.done();
};